Extending Qt Creator Manual | BreakpointIdBase

Extending Qt Creator Manual 4.7.1

# BreakpointIdBase Class

(Debugger::Internal::BreakpointIdBase)

Header: | #include <BreakpointIdBase>
Inherited By: | Debugger::Internal::BreakpointModelId and Debugger::Internal::BreakpointResponseId

- List of all members, including inherited members

## Public Functions

| BreakpointIdBase()
bool | isMajor() const
bool | isMinor() const
bool | isValid() const
int | majorPart() const
int | minorPart() const
int | toInternalId() const
int | toString() const
const void * | operator const void *() const
bool | operator!() const
bool | operator==(const Debugger::Internal::BreakpointIdBase &id) const

## Detailed Description

Convenience base class for BreakpointModelId and BreakpointResponseId.

## Member Function Documentation

### BreakpointIdBase::BreakpointIdBase()

Default constructs an instance of BreakpointIdBase.

### bool BreakpointIdBase::isMajor() const

### bool BreakpointIdBase::isMinor() const

### bool BreakpointIdBase::isValid() const

### int BreakpointIdBase::majorPart() const

### int BreakpointIdBase::minorPart() const

### int BreakpointIdBase::toInternalId() const

### int BreakpointIdBase::toString() const

### const void *BreakpointIdBase::operator const void *() const

### bool BreakpointIdBase::operator!() const

### bool BreakpointIdBase::operator==(const Debugger::Internal::BreakpointIdBase &id) const